Innehåll

# IsUnoStruct Function

Returnerar True om det objekt som avses är en Uno-struct.

### Syntax:

IsUnoStruct( Uno-typnamn )

### Return type:

Boolean

### Parametrar:

Uno-typ: Ett UnoObject

### Exempel:

    Sub Main
    Dim bIsStruct
    ' Instantiera en tjänst
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Visar False eftersom oSimpleFileAccess INTE är en struktur (struct)
    ' Instantierar en Property-struktur
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Visar True eftersom aProperty är en struktur
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Visar False eftersom 42 är en NO-struktur
    End Sub